# Enum TSparkRowSetType

java.lang.Object
java.lang.Enum<TSparkRowSetType>
com.databricks.jdbc.model.client.thrift.generated.TSparkRowSetType

All Implemented Interfaces:
  `Serializable`, `Comparable<TSparkRowSetType>`, `java.lang.constant.Constable`, `org.apache.thrift.TEnum`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public enum TSparkRowSetType extends Enum<TSparkRowSetType> implements org.apache.thrift.TEnum

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARROW_BASED_SET`
`COLUMN_BASED_SET`
`ROW_BASED_SET`
`URL_BASED_SET`

## Method Summary

Modifier and Type
Method
Description
`static TSparkRowSetType`
`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`int`
`getValue()`
Get the integer value of this enum value, as defined in the Thrift IDL.
`static TSparkRowSetType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TSparkRowSetType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARROW_BASED_SET

public static final TSparkRowSetType ARROW_BASED_SET

### COLUMN_BASED_SET

public static final TSparkRowSetType COLUMN_BASED_SET

### ROW_BASED_SET

public static final TSparkRowSetType ROW_BASED_SET

### URL_BASED_SET

public static final TSparkRowSetType URL_BASED_SET

## Method Details

### values

public static TSparkRowSetType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TSparkRowSetType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

### findByValue

public static TSparkRowSetType findByValue(int value)
Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.